package  
{
	public class Scripts
	{
		static public function getStartSource():String {
			return <![CDATA[// フレームアクションでPapervision3D
import org.papervision3d.objects.DisplayObject3D;
import org.papervision3d.objects.primitives.*;
import org.papervision3d.materials.WireframeMaterial;
import org.papervision3d.materials.utils.MaterialsList;
import org.papervision3d.view.BasicView;

// 3D表示用のインスタンスを作ります
var world:BasicView = new BasicView();
addChild(world);
world.startRendering();

// テクスチャー(＝マテリアル)を作ります
var material = new WireframeMaterial(0x0000FF);
]]>
		}
		
		static public function getEndSource():String {
			return <![CDATA[
// エンターフレーム時に呼び出す関数を設定します
addEventListener(Event.ENTER_FRAME, loop);

// エンターフレームでのアニメーションを設定します
function loop(e:Event) {
	obj.rotationY += 1;
}
]]>
		}
	}
	
}